Invoice list
To get history of invoice
AuthorizationBearer <token>
Pass access token obtained from login endpoint
In: header
Query Parameters
fromDatestring
Pass the from date (YYYY-MM-DD)
toDatestring
Pass the to date (YYYY-MM-DD)
pageinteger
Pass the pagination number
search?string
Pass the search string
invoiceTypestring
Pass invoiceType number (Eg: '1' for single Invoice)
| Invoice Types | Value |
|---|---|
| Single Invoice | "1" |
| Subscription Invoice | "0" |
| Split Invoice | "6" |
| Heinstallment Invoice | "7" |
datastring
Pass the encrypted payload as a query parameter
Header Parameters
accessCodestring
Pass the merchant access code issued by Hesabe
Acceptstring
application/json
Content-Typestring
application/json
Response Body
application/json
application/json
application/json
application/json
fetch("https://merchantapisandbox.hesabe.com/api/v1/invoice-dashboard?fromDate=2025-01-01&toDate=2025-12-31&page=1&search=string&invoiceType=1&data=0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65", { method: "GET", headers: { "accessCode": "c333729b-d060-4b74-a49d-7686a8353481", "Accept": "application/json", "Content-Type": "application/json" }}){
"status": true,
"message": "Invoice Dashboard",
"response": {
"stats": {
"total_invoice_count": 9,
"invoice_paid": "0",
"invoice_not_paid": "9",
"invoice_cancelled": "0"
},
"order_stats": {
"total_invoice_count": 0,
"invoice_paid": null,
"invoice_not_paid": null,
"invoice_cancelled": null
},
"invoices": {
"data": [
{
"id": 14693,
"invoice_type": 1,
"invoice_sub_type": 3,
"order_drop_id": 0,
"token": "841759657093983406",
"access_key": "95366WQ9",
"split_access_key": "",
"merchant_id": "84",
"reference_number": "12349899",
"amount": "20.000",
"admin_charge": "0.000",
"service_charge": "0.000",
"subscription": 0,
"discount": "0.000",
"description": "Invoice testing",
"sms_response": "{\"requestError\":0,\"messageId\":\"80965d5c-69fa-4cca-af0d-5a2590d11555\",\"isOK\":true,\"result\":\"0\",\"smS_Cost\":3200}",
"invoice_status": 0,
"payment_method": [
"1",
"2"
],
"sms_status": 1,
"url_status": 0,
"visited_count": 0,
"country_id": 11,
"created_id": 84,
"language": "ar",
"expires_at": "2025-12-12",
"url": "http://demo.hesabe.com/s/95366WQ9",
"spliturl": null,
"created_at": "2025-10-05 12:38:13",
"updated_at": "2025-10-05 12:38:19",
"rentperiod": null,
"transaction": {
"payment_type_id": null,
"payment_id": null,
"post_date": null,
"result_code": null,
"track_id": null,
"transaction_id": null,
"reference_number": null,
"payment_type": null,
"paid_on": null,
"Auth": null,
"Amount": null,
"admin_charge": null
},
"customer": {
"name": "TEST",
"email": "test@gmail.com",
"phone_number": "96566666666"
},
"created_by_merchant": {
"id": 84,
"name": "test"
},
"products": []
}
],
"pagination": {
"total": 9,
"count": 9,
"per_page": 15,
"current_page": 1,
"total_pages": 1,
"page_url": "https://merchantapisandbox.hesabe.com/api/v1/invoice-dashboard",
"next_page_url": null,
"previous_page_url": null
}
}
}
}{
"status": false,
"message": "Request not found, Please verify the request data",
"response": null
}{
"message": "Internal server error occurred"
}{
"status": false,
"code": 506,
"message": "Invalid Request Data",
"response": null
}